<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getCityEstimatedPopulation](./bitburner.bladeburner.getcityestimatedpopulation.md)

## Bladeburner.getCityEstimatedPopulation() method

Get estimated population in city.

**Signature:**

```typescript
getCityEstimatedPopulation(city: CityName): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

city


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Name of city. Case-sensitive


</td></tr>
</tbody></table>

**Returns:**

number

Estimated number of Synthoids in the specified city.

## Remarks

RAM cost: 4 GB

Returns the estimated number of Synthoids in the specified city, or -1 if an invalid city was specified.

